Bug 466937 - moduleload syncprov.la not found
moduleload syncprov.la not found
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Zeleny
BaseOS QE
:
Depends On:
Blocks: 563472
  Show dependency treegraph
 
Reported: 2008-10-14 12:11 EDT by Petr Sklenar
Modified: 2012-10-15 04:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 563472 (view as bug list)
Environment:
Last Closed: 2010-03-30 04:05:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2008-10-14 12:11:39 EDT
Description of problem:

There are comment out many modules in default /etc/openldap/slapd.conf. I uncomment all of them and slapd couldn't start:

lt_dlopenext failed: (syncprov.la) file not found

--------

File is not mention anywhere:
not found: rpm -ql openldap-servers-overlays | grep syncprov.la
not mentioned in: man slapo-ppolicy
no file in: ls /usr/lib64/openldap/ | grep syncprov

Version-Release number of selected component (if applicable):
# rpm -q openldap openldap-servers-overlays
openldap-2.3.43-2.el5.x86_64
openldap-2.3.43-2.el5.i386
openldap-servers-overlays-2.3.43-2.el5.x86_64

How reproducible:
always

Steps to Reproduce:
1. use all module in default /etc/openldap/slapd.conf

  
Actual results:
lt_dlopenext failed: (syncprov.la) file not found

Expected results:
syncprov.la works
syncprov.la not mentioned in /etc/openldap/slapd.conf

Additional info:
Comment 2 Petr Sklenar 2008-10-15 12:38:27 EDT
Its not a regression, adding flags to rhel-5.4.0
Comment 3 Jan Safranek 2008-10-16 03:07:38 EDT
syncprov is compiled statically into slapd daemon to keep backward compatibility, I forgot to remove it from the config file.
Comment 4 RHEL Product and Program Management 2009-03-26 12:50:42 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 Jan Zeleny 2009-11-16 04:50:20 EST
Patch is in CVS, changing status to MODIFIED.
Comment 10 Ondrej Moriš 2009-11-23 06:31:20 EST
Bug-fix verified manually.

$ diff /tmp/slapd.conf.old /tmp/slapd.conf.new 
...
36d37
< # moduleload syncprov.la
Comment 11 Ondrej Moriš 2010-02-10 07:08:26 EST
RHTS test proposed. See QA Whiteboard.
Comment 13 errata-xmlrpc 2010-03-30 04:05:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0198.html

Note You need to log in before you can comment on or make changes to this bug.